[arch-commits] Commit in kernel-headers/trunk (PKGBUILD scsi.patch)

Allan McRae allan at archlinux.org
Fri Oct 30 03:32:52 UTC 2009


    Date: Thursday, October 29, 2009 @ 23:32:52
  Author: allan
Revision: 56882

upgpkg: kernel-headers 2.6.31.4-2
    fix scsi.h issues

Added:
  kernel-headers/trunk/scsi.patch
Modified:
  kernel-headers/trunk/PKGBUILD

------------+
 PKGBUILD   |   11 ++++++++---
 scsi.patch |   19 +++++++++++++++++++
 2 files changed, 27 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-10-30 03:03:16 UTC (rev 56881)
+++ PKGBUILD	2009-10-30 03:32:52 UTC (rev 56882)
@@ -7,7 +7,7 @@
 pkgname=kernel-headers
 pkgver=2.6.31.4
 _basever=2.6.31
-pkgrel=1
+pkgrel=2
 pkgdesc="Kernel headers sanitized for use in userspace"
 arch=('i686' 'x86_64')
 url="http://www.gnu.org/software/libc"
@@ -15,13 +15,18 @@
 groups=('base')
 conflicts=("glibc<=2.10.1-4")
 source=(ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-${_basever}.tar.bz2
-	http://www.kernel.org/pub/linux/kernel/v2.6/patch-${pkgver}.bz2)
+	http://www.kernel.org/pub/linux/kernel/v2.6/patch-${pkgver}.bz2
+	scsi.patch)
 md5sums=('84c077a37684e4cbfa67b18154390d8a'
-         '02078f4231baee4f0004212f2875df2b')
+         '02078f4231baee4f0004212f2875df2b'
+         '08204edc45279cfb845208fde9894b9f')
 
 build() {
   cd ${srcdir}/linux-${_basever}
   patch -Np1 -i ${srcdir}/patch-${pkgver} || return 1
+  
+  # fix issues with transition of scsi.h from glibc
+  patch -Np1 -i ${srcdir}/scsi.patch || return 1
 
   make mrproper
   make headers_check || return 1

Added: scsi.patch
===================================================================
--- scsi.patch	                        (rev 0)
+++ scsi.patch	2009-10-30 03:32:52 UTC (rev 56882)
@@ -0,0 +1,19 @@
+diff --git a/include/scsi/scsi.h b/include/scsi/scsi.h
+index 084478e..dfcfaab 100644
+--- a/include/scsi/scsi.h
++++ b/include/scsi/scsi.h
+@@ -142,10 +142,10 @@ struct scsi_cmnd;
+ 
+ /* defined in T10 SCSI Primary Commands-2 (SPC2) */
+ struct scsi_varlen_cdb_hdr {
+-	u8 opcode;        /* opcode always == VARIABLE_LENGTH_CMD */
+-	u8 control;
+-	u8 misc[5];
+-	u8 additional_cdb_length;         /* total cdb length - 8 */
++	__u8 opcode;        /* opcode always == VARIABLE_LENGTH_CMD */
++	__u8 control;
++	__u8 misc[5];
++	__u8 additional_cdb_length;         /* total cdb length - 8 */
+ 	__be16 service_action;
+ 	/* service specific data follows */
+ };




More information about the arch-commits mailing list